Bug 143519 - OS sees two disks when there is only one RAID1 Logical drive
OS sees two disks when there is only one RAID1 Logical drive
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Tom Coughlan
Depends On:
  Show dependency treegraph
Reported: 2004-12-21 16:49 EST by Massimo Angelucci
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-22 10:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Massimo Angelucci 2004-12-21 16:49:00 EST
Description of problem: A raid1 set is created on an x306 across two 
scsi disks using the onboard adaptec controller. When the OS is 
installed it sees two disks when there is only one RAID1 Logical drive

Version-Release number of selected component (if applicable): RHEL3AS 

How reproducible: Always

Steps to Reproduce:
1.Configure RAID1 set via BIOS or serveraid
2.Install RHEL3 via CDs
3.OS sees 2 separate disks
Actual results: 2 disks

Expected results: 1 RAID 1 disk

Additional info:
Installed on an IBM x306 with onboard Adaptec Raid SCSI
Comment 1 Jussi Silvennoinen 2004-12-22 02:56:36 EST
ServeRAID 7e is Adaptec HostRAID, as in not a real raid. Requires
drivers from Adaptec AFAIK. I suggest you ditch HostRAID and use
linux's software raid.
Comment 2 CrapHat SucksDick 2005-09-21 15:52:27 EDT
This is a major problem.  Please increase the priority and fix this bug in Redhat.
Comment 3 Tom Coughlan 2005-09-22 10:59:35 EDT
As indicated in comment #1, this adapter implements HostRAID. HostRAID allows
you to set up the RAID device in the BIOS or serveraid utility, and then use a
special driver provided by Adaptec (through IBM) to perform the actual RAID I/O
in the driver software. Red Hat does not ship this driver because it has not
been accepted by the upstream community. If you want to use this approach, you
might take a look at:


to get started. 

Another alternative, as recommended in comment #1, is to simply not use the
HostRAID feature of the BIOS and the special driver. In this case you will see
the individual disks configured when you boot Linux. Now you can use linux's
software RAID, like md, to implement the RAID. Some people have found that this
performs as well or better that the HostRAID method, since both are done in

I am closing this BZ, since there appears to be no plan to get the HostRAID
accepted upstream. 

Note You need to log in before you can comment on or make changes to this bug.